slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSolve

Solves the polynomial eigensystem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSolve(PEP pep)

Collective

### Input Parameter

| pep | - eigensolver context obtained from PEPCreate()

### Options Database Keys

| -pep_view | - print information about the solver used
| -pep_view_matk | - view the coefficient matrix Ak (replace k by an integer from 0 to nmat-1)
| -pep_view_vectors | - view the computed eigenvectors
| -pep_view_values | - view the computed eigenvalues
| -pep_converged_reason | - print reason for convergence, and number of iterations
| -pep_error_absolute | - print absolute errors of each eigenpair
| -pep_error_relative | - print relative errors of each eigenpair
| -pep_error_backward | - print backward errors of each eigenpair

### Notes

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use '-pep_view_mat0 binary:amatrix.bin' to save the A matrix to a binary file, '-pep_view_values draw' to draw the computed eigenvalues graphically, or '-pep_error_relative :myerr.m:ascii_matlab' to save the errors in a file that can be executed in Matlab.

### See Also

PEPCreate(), PEPSetUp(), PEPDestroy(), PEPSetTolerances()

### Level

beginner

### Location

src/pep/interface/pepsolve.c

### Examples

src/pep/tutorials/ex16.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
src/pep/tutorials/nlevp/acoustic_wave_1d.c
src/pep/tutorials/nlevp/acoustic_wave_2d.c
src/pep/tutorials/nlevp/butterfly.c
src/pep/tutorials/nlevp/damped_beam.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages